body {
  /* display: flex; */
  /* min-height: 100vh; */
  /* flex-direction: column; */
  text-size-adjust: none;
  font-smoothing: antialiased;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
}

h1, .h1 {
  font-size: 56px;
  font-family: 'Poppins', sans-serif;
}

h2, .h2 {
  /* text-align: left; */
  font-family: 'Poppins', sans-serif;
  font-size: 13px;
  @screen md {
    font-size: 27px;
  }
}

h3, .h3 {
  font-size: 23px;
}

h4, .h4 {
  text-align: left;
  font-family: 'Poppins', sans-serif;
  margin-top: 0;
  line-height: 1.25;
  font-size: 17px;
  margin-bottom: 15px;
  @screen md {
    margin-bottom: 20px;
    font-size: 25px;
  }
}

h5, .h5 {}
p {
  text-align: left;
  font-family: 'Roboto', sans-serif;
  margin: 0;
  font-weight: 400;
  line-height: 1.25;
  font-size: 11px;
  @screen md {
    font-size: 16px;
  }
}

.text {
  h2 {
    font-size: 17px;
    @screen md {
      font-size: 25px;
    }
  }
  p {
    font-size: 11px;
    line-height: 15px;
    @screen md {
      font-size: 16px;
      line-height: 24px;
    }
  }
  a {
    color: config("colors.light-blue");
    text-decoration: none;
  }
}

.map p {
  text-align: center;
}

.section-wrapper {
  max-width: 1545px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.gallery-icon {
  width: 32px;
  height: 32px;
  @screen md {
    width: 45px;
    height: 45px;
  }
}
.video-icon {
  width: 32px;
  height: 32px;
  @screen md {
    width: 45px;
    height: 45px;
  }
}

.lock-body {
  overflow-y: scroll;
  position: fixed;
  width: 100%;
  height: 100vh;
}
.datepicker {
  input {
    background: transparent;
    color: config("colors.white");
    border: 1px solid config("colors.white");
    width: 100%;
    height: 32px;
    font-size: 12px;
    padding: 5px;
    &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
      color: config("colors.white");
      opacity: 1;
    }
    &::-moz-placeholder { /* Firefox 19+ */
      color: config("colors.white");
      opacity: 1;
    }
    &:-ms-input-placeholder { /* IE 10+ */
      color: config("colors.white");
      opacity: 1;
    }
    &:-moz-placeholder { /* Firefox 18- */
      color: config("colors.white");
      opacity: 1;
    }
  }
}

span {
  font-family: 'Roboto', sans-serif;
}

.yellow-title-bar {
  position: relative;
  padding-right: 120px;
  &:after {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    content: "";
    margin-left: 10px;
    width: 110px;
    height: 12px;
    background: config("colors.yellow");
  }
  @media (max-width: 630px) {
    padding-right: 52px;
    &:after {
      width: 42px;
      height: 6px;
    }
  }
}
.yellow-underline {
  position: relative;
  padding-bottom: 15px;
  &:after {
    content: "";
    position: absolute;
    width: 110%;
    left: 0;
    bottom: 0;
    height: 8px;
    background-color: config("colors.yellow");
  }
}

#wave {
  g {
    transition: all 0.3s;
    &.js-active {
      fill: config("colors.green") !important;
    }
  }
}

/* Used for the corner on bars */
.tick-bar {
  &:after {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    border-top: 1px solid;
    border-right: 1px solid;
    right: -6px;
    top: -6px;
    border-color: inherit;
  }
}

.layout-enter-active, .layout-leave-active {
  transition: opacity .4s;
}
.layout-enter, .layout-leave-active {
  opacity: 0;
}


.page-content {
  min-height: 100vh;
  > div {
    >section {
      .backbutton,
      .share-btn {
        display: none;
      }
      &:first-of-type {
        .backbutton {
          display: flex;
        }
        .share-btn {
          display: flex;
        }
      }
    }
  }
}

.mobile__infowindow {
  .infowindow {
    .btn.btn--b-yellow {
      display: inline-block;
    }
  }
  .detail {
    .flex {
      &.relative {
        min-height: 30px;
      }
    }
  }
}
.wave-big {
  .wave {
    width: calc(100% - 50px);
  }
}
.wave-small {
  .wave {
    width: calc(100% - 30px);
  }
}
.wave-class {
  .wave {
    width: calc(100% - 30px);
    @screen md {
      width: calc(100% - 50px);
    }
  }
}
